* [Tarantool-patches] [PATCH v1] update_repo: correct fix for RPMs on missing metadata
@ 2020-07-27 13:11 Alexander V. Tikhonov
2020-07-27 14:18 ` Alexander Turenko
2020-08-31 11:39 ` Kirill Yukhin
0 siblings, 2 replies; 4+ messages in thread
From: Alexander V. Tikhonov @ 2020-07-27 13:11 UTC (permalink / raw)
To: Kirill Yukhin, Alexander Turenko; +Cc: tarantool-patches
Found that removing RPMs additional call to its removement is
needed, when no metadata was found.
---
Github: https://github.com/tarantool/tarantool/tree/avtikhon/correct_rpm_remove
tools/update_repo.sh | 7 +++++++
1 file changed, 7 insertions(+)
diff --git a/tools/update_repo.sh b/tools/update_repo.sh
index 5a68e3e05..d9b91a753 100755
--- a/tools/update_repo.sh
+++ b/tools/update_repo.sh
@@ -869,6 +869,13 @@ function remove_rpm {
done
done
+ # remove all found file by the given pattern in options
+ for suffix in 'x86_64' 'noarch' 'src'; do
+ file="$bucket_path/$packpath/${remove}-1.${os}${option_dist}.${suffix}.rpm"
+ $aws ls $file || continue
+ $aws rm $file
+ done
+
# check if any RPM files were newly registered
[ "$updated_rpms" == "0" ] && \
return || echo "Updating dists"
--
2.17.1
^ permalink raw reply [flat|nested] 4+ messages in thread
* Re: [Tarantool-patches] [PATCH v1] update_repo: correct fix for RPMs on missing metadata
2020-07-27 13:11 [Tarantool-patches] [PATCH v1] update_repo: correct fix for RPMs on missing metadata Alexander V. Tikhonov
@ 2020-07-27 14:18 ` Alexander Turenko
2020-08-07 16:10 ` Alexander V. Tikhonov
2020-08-31 11:39 ` Kirill Yukhin
1 sibling, 1 reply; 4+ messages in thread
From: Alexander Turenko @ 2020-07-27 14:18 UTC (permalink / raw)
To: Alexander V. Tikhonov; +Cc: tarantool-patches
On Mon, Jul 27, 2020 at 04:11:06PM +0300, Alexander V. Tikhonov wrote:
> Found that removing RPMs additional call to its removement is
> needed, when no metadata was found.
> ---
>
> Github: https://github.com/tarantool/tarantool/tree/avtikhon/correct_rpm_remove
>
> tools/update_repo.sh | 7 +++++++
> 1 file changed, 7 insertions(+)
>
> diff --git a/tools/update_repo.sh b/tools/update_repo.sh
> index 5a68e3e05..d9b91a753 100755
> --- a/tools/update_repo.sh
> +++ b/tools/update_repo.sh
> @@ -869,6 +869,13 @@ function remove_rpm {
> done
> done
>
> + # remove all found file by the given pattern in options
I would describe the case a bit: the loop above already delete files,
which are present in the metadata. However it is possible that some
broken update left orphan files: they are present in the storage, but
does not mentioned in the metadata.
> + for suffix in 'x86_64' 'noarch' 'src'; do
> + file="$bucket_path/$packpath/${remove}-1.${os}${option_dist}.${suffix}.rpm"
> + $aws ls $file || continue
> + $aws rm $file
> + done
> +
I don't mind, however I'm unable to review the file thoroughly.
^ permalink raw reply [flat|nested] 4+ messages in thread
* Re: [Tarantool-patches] [PATCH v1] update_repo: correct fix for RPMs on missing metadata
2020-07-27 14:18 ` Alexander Turenko
@ 2020-08-07 16:10 ` Alexander V. Tikhonov
0 siblings, 0 replies; 4+ messages in thread
From: Alexander V. Tikhonov @ 2020-08-07 16:10 UTC (permalink / raw)
To: Alexander Turenko; +Cc: tarantool-patches
Hi Alexander, thanks a lot for the review and the message for the code.
I've used it for commit comments and code message.
On Mon, Jul 27, 2020 at 05:18:40PM +0300, Alexander Turenko wrote:
> On Mon, Jul 27, 2020 at 04:11:06PM +0300, Alexander V. Tikhonov wrote:
> > Found that removing RPMs additional call to its removement is
> > needed, when no metadata was found.
> > ---
> >
> > Github: https://github.com/tarantool/tarantool/tree/avtikhon/correct_rpm_remove
> >
> > tools/update_repo.sh | 7 +++++++
> > 1 file changed, 7 insertions(+)
> >
> > diff --git a/tools/update_repo.sh b/tools/update_repo.sh
> > index 5a68e3e05..d9b91a753 100755
> > --- a/tools/update_repo.sh
> > +++ b/tools/update_repo.sh
> > @@ -869,6 +869,13 @@ function remove_rpm {
> > done
> > done
> >
> > + # remove all found file by the given pattern in options
>
> I would describe the case a bit: the loop above already delete files,
> which are present in the metadata. However it is possible that some
> broken update left orphan files: they are present in the storage, but
> does not mentioned in the metadata.
>
> > + for suffix in 'x86_64' 'noarch' 'src'; do
> > + file="$bucket_path/$packpath/${remove}-1.${os}${option_dist}.${suffix}.rpm"
> > + $aws ls $file || continue
> > + $aws rm $file
> > + done
> > +
>
> I don't mind, however I'm unable to review the file thoroughly.
^ permalink raw reply [flat|nested] 4+ messages in thread
* Re: [Tarantool-patches] [PATCH v1] update_repo: correct fix for RPMs on missing metadata
2020-07-27 13:11 [Tarantool-patches] [PATCH v1] update_repo: correct fix for RPMs on missing metadata Alexander V. Tikhonov
2020-07-27 14:18 ` Alexander Turenko
@ 2020-08-31 11:39 ` Kirill Yukhin
1 sibling, 0 replies; 4+ messages in thread
From: Kirill Yukhin @ 2020-08-31 11:39 UTC (permalink / raw)
To: Alexander V. Tikhonov; +Cc: tarantool-patches, Alexander Turenko
Hello,
On 27 июл 16:11, Alexander V. Tikhonov wrote:
> Found that removing RPMs additional call to its removement is
> needed, when no metadata was found.
> ---
>
> Github: https://github.com/tarantool/tarantool/tree/avtikhon/correct_rpm_remove
LGTM.
I've checked your patch into 1.10, 2.4, 2.5 and master.
--
Regards, Kirill Yukhin
^ permalink raw reply [flat|nested] 4+ messages in thread
end of thread, other threads:[~2020-08-31 11:39 UTC | newest]
Thread overview: 4+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-07-27 13:11 [Tarantool-patches] [PATCH v1] update_repo: correct fix for RPMs on missing metadata Alexander V. Tikhonov
2020-07-27 14:18 ` Alexander Turenko
2020-08-07 16:10 ` Alexander V. Tikhonov
2020-08-31 11:39 ` Kirill Yukhin
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox